org.eclipse.ease.ui.completion.provider

## Class LocationResolver

- java.lang.Object
- - org.eclipse.ease.ui.completion.provider.LocationResolver

    public class LocationResolver
    extends Object

Resolves file location completion proposals. Helper for file location completion provider.

### Nested Class Summary

Nested Classes
`static class` `LocationResolver.Type`

### Constructor Summary

Constructors
Constructor and Description
`LocationResolver(String location, Object parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<? extends Object>` `getChildren()` Get all children of this location.
`String` `getFilterPart()` Detect part of location that denotes the filter component.
`String` `getParentString()` Get a string representation of the resolved location folder.
`Object` `getResolvedFolder()` Get base folder this location refers to.
`LocationResolver.Type` `getType()` Get type of location.
`boolean` `isAbsolute()` Returns true for absolute locations.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocationResolver

    public LocationResolver(String location,
                            Object parent)

### Method Detail

#### isAbsolute

    public boolean isAbsolute()

Returns true for absolute locations.

Returns:
  `true` for absolute location

#### getType

    public LocationResolver.Type getType()

Get type of location.

Returns:
  location type

#### getFilterPart

    public String getFilterPart()

Detect part of location that denotes the filter component. This is the text string following the last delimiter (eg '/').

Returns:
  filter part of location

#### getResolvedFolder

    public Object getResolvedFolder()

Get base folder this location refers to.

Returns:
  base folder of this location

#### getChildren

    public Collection<? extends Object> getChildren()

Get all children of this location. Returns the content of `getResolvedFolder()`.

Returns:
  content of location base folder

#### getParentString

    public String getParentString()

Get a string representation of the resolved location folder.

Returns:
  location base folder representation